cURL
curl --request GET \
--url https://api.ctrl-hub.com/v3/form-submissions \
--header 'X-Session-Token: <api-key>'import requests
url = "https://api.ctrl-hub.com/v3/form-submissions"
headers = {"X-Session-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Session-Token': '<api-key>'}};
fetch('https://api.ctrl-hub.com/v3/form-submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"counts": {
"contributors": 0,
"versions": 1
},
"workflow": {
"current_step": {
"id": "<string>"
}
}
},
"relationships": {
"form": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"versions": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"scheme_shares": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"workflow": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"workflow_version": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"workflow_instance": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
}
}
}
],
"meta": {
"pagination": {
"counts": {
"pages": 123,
"resources": 123
},
"current_page": 123,
"offsets": {
"next": 123,
"previous": 123
},
"requested": {
"limit": 123,
"offset": 123
}
},
"features": {
"include": {
"options": [
"<string>"
]
}
}
},
"jsonapi": {
"version": "<string>"
},
"included": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {
"email": "jsmith@example.com",
"identities": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform": "<string>",
"meta": {}
}
],
"profile": {
"work": {
"occupation": "<string>",
"cscs": "<string>",
"eusr": "<string>",
"start_date": "2023-12-25"
},
"personal": {
"first_name": "<string>",
"last_name": "<string>",
"dob": "2023-12-25",
"username": "<string>"
},
"contact": {
"mobile": "<string>",
"landline": "<string>"
},
"address": {
"number": "",
"street": "<string>",
"area": "<string>",
"town": "<string>",
"county": "<string>",
"postcode": "<string>",
"country_code": "<string>",
"what3words": "<string>"
},
"settings": {
"preferred_language": "en-GB",
"timezone": "<string>"
}
}
},
"meta": {},
"relationships": {
"organisations": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"teams": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"managing_organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
}
}
}
]
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Submissions
List all submissions for a form
List all of the submissions in an organisation.
GET
/
v3
/
form-submissions
cURL
Authorizations
SessionOAuth2Cookie
Session token for authentication.
Query Parameters
A comma separated list of related resources to include.
Available options:
contributors, creator, form, organisation, versions, scheme_shares, workflow, workflow_instance, workflow_version, payload_users, payload_operations, payload_work_orders, payload_schemes, payload_images, payload_videos, payload_properties Filters the response data based on the value provided.
Available filters:
id_in: Filter by ID(s)contains(short_id,xxx): Search submissions by their short ID — the reference shown in the UI (the first 8 hex characters of the full ID), e.g.contains(short_id,3b6f0147). Case-insensitive; partial (substring) match.contributor_in: Filter submissions by contributor ID(s)creator_in: Filter submissions by creator ID(s)form_in: Filter submissions by form ID(s)schema_in: Filter submissions by schema ID(s)related_resources.id_in: Filter submissions by related resource ID(s) (mirrored from the latest version)
For more information on using named filters, see the docs
Limit the number of resources returned by the API
Required range:
x >= 1Offset the resources returned by the API
Required range:
x >= 0A comma separated list of fields to sort by.
Available options:
created_at, -created_at Response
Get a list of submissions for a form.
JSON API response object
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Related resources that can be included when a form submission is returned
A user
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
⌘I